Qualtrics Survey Software - web browser compatibility change.
Article Date: 13/11/2018

Qualtrics.jpg

Qualtrics survey software is used by Cardiff Met staff and students to create, distribute and analyse online surveys. It is usually accessed via a web browser and uses the TLS protocol to keep data secure in transit between Qualtrics servers and the web browser.

From 21 November 2018 Qualtrics advise that the minimum version of the TLS protocol required to access Qualtrics surveys will be TLS version 1.2. This means that you will need to use a web browser that supports TLS 1.2 to ensure you are not impacted by this change.

University owned computers already support TLS 1.2, however, to ensure personal devices that you use with Qualtrics will continue to work after this change they will need a TLS 1.2 compatible browser.

The latest versions of web browsers including Internet Explorer 11, Edge, Google Chrome, Safari for Mac & Firefox support TLS 1.2 and the best way to ensure your browser is TLS 1.2 compatbile is to keep it up to date and the links below provide further details on checking for updates for the above browsers: